GET /v2/community_services/graph(/on/:field(/by/:interval))
Return grouped temporal data on community services
Count all occurences on a particular field (default on created_at) by a particular period, starting from the first occurence to now.
settings Params
| Param name | Description |
|---|---|
| field |
optional
. Must be one of: created_at, updated_at, schedule_at.
The date field to graph on. Default to |
| interval |
optional
. Must be one of: day, week, month, quarter, year, hour_of_day, day_of_week, day_of_month, month_of_year.
The interval to graph by. Default to |
| sort |
optional
. Must be one of: id, close_id, tiger_id, duration, schedule_at, occupation, token, state, created_at, updated_at.
The sort field. Sorted by created_at desc, id desc by default. MoreExample:To sort on community services on the fields created_at on a descending order and updated_at on a ascending order: ...&sort=-created_at,updated_at |
| filter |
optional
. Must be one of: id, close_id, tiger_id, duration, schedule_at, occupation, token, state, created_at, updated_at, campus_id, schedule.
Filtering on one or more fields MoreExample:
To filter on community services with the
...&filter[id]=a_value,another_value Filterable fields:
|
| range |
optional
. Must be one of: id, close_id, tiger_id, duration, schedule_at, occupation, token, state, created_at, updated_at.
Select on a particular range MoreExample:
To range on community services with the
...&range[updated_at]=min_value,max_value Rangeable fields:
|
Examples
GET /v2/community_services/graph/on/created_at/by/day
200
{
"2017-11-22": 2
}
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" "https://api.intra.42.fr/v2/community_services/graph/on/created_at/by/day"
{
"2017-11-22": 2
}
require "oauth2"
UID = "Your application uid"
SECRET = "Your application secret"
client = OAuth2::Client.new(UID, SECRET, site: "https://api.intra.42.fr")
token = client.client_credentials.get_token
response = token.get("/v2/community_services/graph/on/created_at/by/day")
response.status
# => 200
response.parsed
# => {"2017-11-22"=>2}